import request from '@/utils/request'

// 查询 专项培养计划申请列表
export function listStapprove(query) {
  return request({
    url: '/spec/stapprove/list',
    method: 'get',
    params: query
  })
}

// 查询 专项培养计划申请详细
export function getStapprove(id) {
  return request({
    url: '/spec/stapprove/' + id,
    method: 'get'
  })
}

// 查询 专项培养计划申请详细
export function getStapproveInfo(id) {
  return request({
    url: '/spec/stapprove/info/' + id,
    method: 'get'
  })
}

// 申请
export function addStPlanApprove(data) {
  return request({
    url: '/spec/stapprove/addStPlanApprove',
    method: 'post',
    data: data
  })
}
// 处理申请
export function handleApprove(data) {
  return request({
    url: '/spec/stapprove/handle',
    method: 'put',
    data: data
  })
}

// 新增 专项培养计划申请
export function addStapprove(data) {
  return request({
    url: '/spec/stapprove',
    method: 'post',
    data: data
  })
}

// 修改 专项培养计划申请
export function updateStapprove(data) {
  return request({
    url: '/spec/stapprove',
    method: 'put',
    data: data
  })
}

// 删除 专项培养计划申请
export function delStapprove(id) {
  return request({
    url: '/spec/stapprove/' + id,
    method: 'delete'
  })
}

// 导出 专项培养计划申请
export function exportStapprove(query) {
  return request({
    url: '/spec/stapprove/export',
    method: 'get',
    params: query
  })
}

